> For the complete documentation index, see [llms.txt](https://docs.uqudo.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uqudo.com/docs/kyc/uqudo-sdk/sdk-result/data-structure/common-object.md).

# Common Object

## Enrollment / Lookup / Reading Flow

#### Data (attribute "data" in JWS)

<table><thead><tr><th width="214.5">Attribute</th><th>Description</th></tr></thead><tbody><tr><td><strong>documents</strong></td><td>A list of <a href="#document-object">document objects</a></td></tr><tr><td><strong>verifications</strong></td><td>A list of <a href="/pages/pXeRpS2uW0mmoTHloivJ">verification objects</a></td></tr><tr><td><strong>nonce</strong></td><td>Nonce provided by the customer mobile application when the SDK is initiated. It is useful to make sure the process has been initiated by the customer mobile application. It should be generated server side.</td></tr><tr><td><strong>backgroundCheck</strong></td><td>Contains the background check result. See the "<a href="/pages/BkD914p7rNXDBhhPcTS5">Background check</a>" in the API documentation for details</td></tr><tr><td><strong>deviceAttestation</strong></td><td>Contains the <a href="/pages/IoebTNaqLiZHPgwVj94I">Device Attestation</a> result.</td></tr></tbody></table>

#### **Document object**

<table><thead><tr><th width="170.5">Attribute</th><th>Description</th></tr></thead><tbody><tr><td><strong>scan</strong></td><td>See the details here <a href="/pages/S0gx7I2BSckgAAp2ZirB">Scan object</a></td></tr><tr><td><strong>reading</strong></td><td>See the details here <a href="/pages/9XuwEVQMTNtXGYuAljCW">Read object</a> (Mobile SDK only)</td></tr><tr><td><strong>face</strong></td><td>See the details here <a href="/pages/E3mTkyobv4TStTRDaJOk">Face object</a></td></tr><tr><td><strong>lookup</strong></td><td>See the details here <a href="/pages/64uc90stn9uLQAZ6Jhxr">Lookup object</a></td></tr></tbody></table>

## Face Session Flow

#### Data (attribute "data" in JWS)

<table><thead><tr><th width="214">Attribute</th><th>Description</th></tr></thead><tbody><tr><td><strong>nonce</strong></td><td>Nonce provided by the customer mobile application when the SDK is initiated. It is useful to make sure the process has been initiated by the customer mobile application. It should be generated server side.</td></tr><tr><td><strong>sessionId</strong></td><td>Session ID returned by the Face API when uploading the image used to perform the face match against the selfie captured during the facial recognition step. This ensures that the result is linked to the correct session and should be verified in your backend.</td></tr><tr><td><strong>face</strong></td><td>Contains the <a href="/pages/E3mTkyobv4TStTRDaJOk">Facial Recognition</a> result</td></tr><tr><td><strong>deviceAttestation</strong></td><td>Contains the <a href="/pages/IoebTNaqLiZHPgwVj94I">Device Attestation</a> result.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uqudo.com/docs/kyc/uqudo-sdk/sdk-result/data-structure/common-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
